(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let rec printer_t _pp_a ctx ppf = function
  | t -> (fun u_t -> Unatural_print.printer_t ctx ppf u_t) (Uindex.of_t t)

and printer_index pp_a ctx ppf = function | a_t -> printer_t pp_a ctx ppf a_t
;;

(* Defining top printers. *)

let print_t pp_a ppf = printer_t pp_a Og_precedence.Ck_toplevel ppf

and print_index pp_a ppf = printer_index pp_a Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
