(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let rec printer_xml_t _px_a ctx ppf = function
  | t ->
    (fun u_t -> Unatural_print_xml.printer_xml_t ctx ppf u_t) (Uindex.of_t t)

and printer_xml_index px_a ctx ppf = function
  | a_t -> printer_xml_t px_a ctx ppf a_t
;;

(* Defining top printers. *)

let print_xml_t px_a ppf = printer_xml_t px_a Og_precedence.Ck_toplevel ppf

and print_xml_index px_a ppf =
  printer_xml_index px_a Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
