(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: unatural_types_print_xml.ml,v 1.21 2017/05/31 15:24:07 fclement Exp $ *)

let printer_xml_natural ctx ppf n =
  Og_printer_xml.printer_xml_Int ctx ppf (Unatural_types.of_t n)
;;

let printer_xml_t = printer_xml_natural;;

(* Defining top printers. *)

let print_xml_natural ppf = printer_xml_natural Og_precedence.Ck_toplevel ppf;;

let print_xml_t ppf = printer_xml_t Og_precedence.Ck_toplevel ppf;;
