(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2009-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let printer_size ctx ppf = function
  | u_l -> Upervasives_print.printer_length ctx ppf u_l
;;

let printer_key pp_a ctx ppf = function
  | a_u_e -> Uindex_index_print.printer_element pp_a ctx ppf a_u_e
;;

let printer_value pp_a ctx ppf = function
  | a_u_i -> Uindex_index_print.printer_index pp_a ctx ppf a_u_i
;;

let printer_t pp_a ctx ppf = function
  | t ->
    (fun s_a_k_u_t ->
     Ugen_numbering_hashtbl_print.printer_t printer_size (printer_key pp_a)
       ctx
       ppf
       s_a_k_u_t)
      (Uindex_hashtbl.of_t
      t)
;;

(* Defining top printers. *)

let print_size ppf = printer_size Og_precedence.Ck_toplevel ppf
;;

let print_key pp_a ppf = printer_key pp_a Og_precedence.Ck_toplevel ppf
;;

let print_value pp_a ppf = printer_value pp_a Og_precedence.Ck_toplevel ppf
;;

let print_t pp_a ppf = printer_t pp_a Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
