(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: upositive_rational_types.mli,v 1.9 2017/05/31 15:24:06 fclement Exp $ *)

(** {3 The private type of positive rational numbers} *)

type t = private
  {
   numerator : Unatural.t;
   denominator : Unatural.t;
  }
and positive_rational = t
;;

val to_t : Unatural.t -> Unatural.t -> t;;
